> For the complete documentation index, see [llms.txt](https://docs.sonoransoftware.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sonoransoftware.com/cms/developer-api-documentation/api-integration/api-endpoints/general/clock-in-out.md).

# Clock In Out

## Clock In Out

<mark style="color:green;">`POST`</mark> `https://api.sonorancms.com/general/clock_in_out`

Clock in/out a community account found by API ID or account ID.

#### Request Body

| Name                                   | Type   | Description                |
| -------------------------------------- | ------ | -------------------------- |
| id<mark style="color:red;">\*</mark>   | string | Community ID               |
| key<mark style="color:red;">\*</mark>  | string | API Key                    |
| type<mark style="color:red;">\*</mark> | string | CLOCK\_I&#x4E;*\_*&#x4F;UT |
| data<mark style="color:red;">\*</mark> | array  | Array of request objects   |

{% tabs %}
{% tab title="200: OK The following 200 response texts may be sent in response:" %}

```javascript
CLOCKED IN
FORCE CLOCKED IN
CLOCKED OUT
```

{% endtab %}

{% tab title="400: Bad Request The following 400 errors may be sent in response:" %}

```javascript
INVALID API KEY
INVALID COMMUNITY ID
API ID NOT LINKED TO AN ACCOUNT IN THIS COMMUNITY
```

{% endtab %}

{% tab title="404: Not Found The following 404 errors may be sent in response:" %}

```javascript
API ID NOT LINKED TO AN ACCOUNT IN THIS COMMUNITY
```

{% endtab %}
{% endtabs %}

```
{
    "id": "YOUR_COMMUNITY_ID",
    "key": "YOUR_API_KEY",
    "type": "CLOCK_IN_OUT",
    "data": [
        {
            // User Identification
            "apiId": "SOME_API_ID", // Optional - must have one
            "username": "SOMEUSERNAME", // Optional - must have one
            "accId": "SOMEACCID", // Optional - must have one
            "discord": "111122223333444455", // Optional - must have one
            "uniqueId": 1234, // Optional - must have one
            // Configuration
            "forceClockIn": true, // Optional - will start a new clock in replacing any current one
            "forceClockOut": true // Optional - will clock out the current clock in session
        }
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sonoransoftware.com/cms/developer-api-documentation/api-integration/api-endpoints/general/clock-in-out.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
